Create or update an array of custom profile specifications

put

https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/customProfileSpecifications

Creates or updates one or more custom profile specifications.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: array
Minimum Number of Items: 1
Maximum Number of Items: 50
The custom profile specifications resource.
Show Source
Nested Schema : CustomProfileSpecificationOracle
Type: object
Title: CustomProfileSpecificationOracle
The custom profile specification resource.
Show Source
Nested Schema : charValueObject
Type: array
A list of char value objects associated with the custom profile specification.
Show Source
Nested Schema : customProfileSpecChar
Type: array
A list of custom profile specification characteristics associated with the custom profile specification.
Show Source
Nested Schema : customProfileSpecRel
Type: array
A list of custom profile specification rels associated with the custom profile specification.
Show Source
Nested Schema : ProjectRef
Type: object
Title: ProjectRef
The project reference resource.
Show Source
Nested Schema : relatedParty
Type: array
A list of related parties associated with the custom profile specification.
Show Source
  • RelatedParty
    Title: RelatedParty
    The relatedParty reference. A related party defines party or party role linked to a specific entity.
Nested Schema : TargetProductSchemaOracle
Type: object
Title: TargetProductSchemaOracle
Match All
Show Source
Nested Schema : TimePeriod
Type: object
Title: TimePeriod
The period for which the productOffering is valid.
Show Source
Nested Schema : CharValueObjectRefOracle
Type: object
Title: CharValueObjectRefOracle
The Reference of the resource referred in CharValue of custom profile specification.
Show Source
Nested Schema : CustomProfileSpecRel
Type: object
Title: CustomProfileSpecRel
A migration, substitution, dependency or exclusivity relationship between/among custom profile specifications.
Show Source
  • The hyperlink reference to the custom profile specification rel.
  • The ID of the custom profile specification rel.
  • Allowed Values: [ "AGGREGATION", "MIGRATION", "SUBSTITUTION", "DEPENDENCY", "EXCLUSIVITY", "PARENT", "CONDITION", "EXCLUDES", "REQUIRES", "ALLOWED" ]
    The type or classification of the custom profile specification rel. Valid values are AGGREGATION, MIGRATION, SUBSTITUTION, DEPENDENCY, EXCLUSIVITY, PARENT, CONDITION, EXCLUDES, REQUIRES, and ALLOWED.
  • TimePeriodOracle
    Title: TimePeriodOracle
    The validity period of the related party.
  • The version state of the reference.
Nested Schema : TimePeriodOracle
Type: object
Title: TimePeriodOracle
The validity period of the related party.
Show Source
Nested Schema : RelatedParty
Type: object
Title: RelatedParty
The relatedParty reference. A related party defines party or party role linked to a specific entity.
Show Source
Nested Schema : partyOrPartyRole
Type: array
A list of party or party roles associated with the related party reference or party role reference.
Show Source
Nested Schema : TargetProductSchema
Type: object
Title: TargetProductSchema
The reference object to the schema and type of target product which is described by product specification.
Show Source
Nested Schema : TargetProductSchemaOracle-allOf[1]
Type: object
Show Source
Back to Top

Response

Supported Media Types

200 Response

The list of custom profile specifications was created or updated successfully.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : CustomProfileSpecificationOracle
Type: object
Title: CustomProfileSpecificationOracle
The custom profile specification resource.
Show Source
Nested Schema : charValueObject
Type: array
A list of char value objects associated with the custom profile specification.
Show Source
Nested Schema : customProfileSpecChar
Type: array
A list of custom profile specification characteristics associated with the custom profile specification.
Show Source
Nested Schema : customProfileSpecRel
Type: array
A list of custom profile specification rels associated with the custom profile specification.
Show Source
Nested Schema : ProjectRef
Type: object
Title: ProjectRef
The project reference resource.
Show Source
Nested Schema : relatedParty
Type: array
A list of related parties associated with the custom profile specification.
Show Source
  • RelatedParty
    Title: RelatedParty
    The relatedParty reference. A related party defines party or party role linked to a specific entity.
Nested Schema : TargetProductSchemaOracle
Type: object
Title: TargetProductSchemaOracle
Match All
Show Source
Nested Schema : TimePeriod
Type: object
Title: TimePeriod
The period for which the productOffering is valid.
Show Source
Nested Schema : CharValueObjectRefOracle
Type: object
Title: CharValueObjectRefOracle
The Reference of the resource referred in CharValue of custom profile specification.
Show Source
Nested Schema : CustomProfileSpecRel
Type: object
Title: CustomProfileSpecRel
A migration, substitution, dependency or exclusivity relationship between/among custom profile specifications.
Show Source
  • The hyperlink reference to the custom profile specification rel.
  • The ID of the custom profile specification rel.
  • Allowed Values: [ "AGGREGATION", "MIGRATION", "SUBSTITUTION", "DEPENDENCY", "EXCLUSIVITY", "PARENT", "CONDITION", "EXCLUDES", "REQUIRES", "ALLOWED" ]
    The type or classification of the custom profile specification rel. Valid values are AGGREGATION, MIGRATION, SUBSTITUTION, DEPENDENCY, EXCLUSIVITY, PARENT, CONDITION, EXCLUDES, REQUIRES, and ALLOWED.
  • TimePeriodOracle
    Title: TimePeriodOracle
    The validity period of the related party.
  • The version state of the reference.
Nested Schema : TimePeriodOracle
Type: object
Title: TimePeriodOracle
The validity period of the related party.
Show Source
Nested Schema : RelatedParty
Type: object
Title: RelatedParty
The relatedParty reference. A related party defines party or party role linked to a specific entity.
Show Source
Nested Schema : partyOrPartyRole
Type: array
A list of party or party roles associated with the related party reference or party role reference.
Show Source
Nested Schema : TargetProductSchema
Type: object
Title: TargetProductSchema
The reference object to the schema and type of target product which is described by product specification.
Show Source
Nested Schema : TargetProductSchemaOracle-allOf[1]
Type: object
Show Source

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : Discriminator: @type
Type: object
Discriminator: @type

Discriminator Values

401 Response

Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

404 Response

The resource with the specified URI couldn't be found.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

405 Response

HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source
Back to Top

Examples

The following example shows how to create or update an array of custom profile specification by submitting a PUT request on the REST resource using cURL.

cURL Command

curl -u username:password -X PUT \ 'https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/customProfileSpecifications' -H 'Content-Type: application/json' -D @put_customprofilespec.json | json_pp

Example of Request Body

The following shows an example of the request body in JSON format.

[
    {
        "id": "CustomProfileSpec_001",
        "name": "CustomProfileSpec_001",
        "description": "Custom profile Spec desc",
        "href": "https: //{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/customProfileSpecification/Oracle_59DGQJAK",
        "version": "1.0",
        "lifecycleStatus": "In design",
        "@type": "CustomProfileSpecificationOracle",
        "validFor": {
            "startDateTime": "2020-09-29T03:50:48.000Z"
        },
        "project": {
            "id": "BulkDocProject",
            "name": "Bulk Doc Project"
        },
        "customProfileSpecChar": [
            {
                "name": "DeviceType",
                "valueType": "STRING",
                "configurable": true,
                "minCardinality": 0,
                "maxCardinality": 1,
                "validFor": {
                    "startDateTime": "2020-09-29T03:50:48.000Z"
                },
                "customProfileSpecCharValue": [
                    {
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2020-09-29T03:50:48.000Z"
                        },
                        "valueType": "STRING",
                        "value": "Mobile"
                    },
                    {
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2020-09-29T03:50:48.000Z"
                        },
                        "valueType": "STRING",
                        "value": "Tablet"
                    }
                ]
            },
            {
                "name": "Family",
                "valueType": "STRING",
                "configurable": true,
                "minCardinality": 0,
                "maxCardinality": 1,
                "validFor": {
                    "startDateTime": "2020-09-29T03:50:48.000Z"
                },
                "customProfileSpecCharValue": [
                    {
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2020-09-29T03:50:48.000Z"
                        },
                        "valueType": "STRING",
                        "value": "123a"
                    },
                    {
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2020-09-29T03:50:48.000Z"
                        },
                        "valueType": "STRING",
                        "value": "Note"
                    },
                    {
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2020-09-29T03:50:48.000Z"
                        },
                        "valueType": "STRING",
                        "value": "Galaxy"
                    }
                ]
            },
            {
                "name": "Make",
                "valueType": "STRING",
                "configurable": true,
                "minCardinality": 0,
                "maxCardinality": 1,
                "validFor": {
                    "startDateTime": "2020-09-29T03:50:48.000Z"
                },
                "customProfileSpecCharValue": [
                    {
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2020-09-29T03:50:48.000Z"
                        },
                        "valueType": "STRING",
                        "value": "Apple"
                    },
                    {
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2020-09-29T03:50:48.000Z"
                        },
                        "valueType": "STRING",
                        "value": "Samsung"
                    }
                ]
            }
        ],
        "profileType": "TRADE_IN"
    },
    {
        "id": "CustomProfileSpec_002",
        "name": "CustomProfileSpec_002",
        "description": "Custom profile Spec desc",
        "href": "https: //{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/customProfileSpecification/Oracle_59DGQJAK",
        "version": "1.0",
        "lifecycleStatus": "In design",
        "@type": "CustomProfileSpecificationOracle",
        "validFor": {
            "startDateTime": "2020-09-29T03:50:48.000Z"
        },
        "project": {
            "id": "BulkDocProject",
            "name": "Bulk Doc Project"
        },
        "customProfileSpecChar": [
            {
                "name": "DeviceType",
                "valueType": "STRING",
                "configurable": true,
                "minCardinality": 0,
                "maxCardinality": 1,
                "validFor": {
                    "startDateTime": "2020-09-29T03:50:48.000Z"
                },
                "customProfileSpecCharValue": [
                    {
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2020-09-29T03:50:48.000Z"
                        },
                        "valueType": "STRING",
                        "value": "Mobile"
                    },
                    {
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2020-09-29T03:50:48.000Z"
                        },
                        "valueType": "STRING",
                        "value": "Tablet"
                    }
                ]
            },
            {
                "name": "Family",
                "valueType": "STRING",
                "configurable": true,
                "minCardinality": 0,
                "maxCardinality": 1,
                "validFor": {
                    "startDateTime":"2020-09-29T03:50:48.000Z"
                },
                "customProfileSpecCharValue": [
                    {
                        "isDefault": false,
                        "validFor": {
                            "startDateTime":"2020-09-29T03:50:48.000Z"
                        },
                        "valueType": "STRING",
                        "value": "123a"
                    },
                    {
                        "isDefault": false,
                        "validFor": {
                            "startDateTime":"2020-09-29T03:50:48.000Z"
                        },
                        "valueType": "STRING",
                        "value": "Note"
                    },
                    {
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2020-09-29T03:50:48.000Z"
                        },
                        "valueType": "STRING",
                        "value": "Galaxy"
                    }
                ]
            },
            {
                "name": "Make",
                "valueType": "STRING",
                "configurable": true,
                "minCardinality": 0,
                "maxCardinality": 1,
                "validFor": {
                    "startDateTime": "2020-09-29T03:50:48.000Z"
                },
                "customProfileSpecCharValue": [
                    {
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2020-09-29T03:50:48.000Z"
                        },
                        "valueType": "STRING",
                        "value": "Apple"
                    },
                    {
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2020-09-29T03:50:48.000Z"
                        },
                        "valueType": "STRING",
                        "value": "Samsung"
                    }
                ]
            }
        ],
        "profileType": "TRADE_IN"
    }
]

Example of Response Body

The following shows an example of the response body in JSON format.

[
    {
        "id": "CustomProfileSpec_001",
        "name": "CustomProfileSpec_001",
        "description": "Custom profile Spec desc",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/customProfileSpecifications/CustomProfileSpec_001",
        "version": "1.0",
        "lifecycleStatus": "In design",
        "@type": "CustomProfileSpecificationOracle",
        "validFor": {
            "startDateTime": "2020-09-29T03:50:48.000Z"
        },
        "project": {
            "id": "BulkDocProject",
            "name": "Bulk Doc Project",
            "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/project/BulkDocProject"
        },
        "customProfileSpecChar": [
            {
                "name": "DeviceType",
                "valueType": "STRING",
                "configurable": true,
                "minCardinality": 0,
                "maxCardinality": 1,
                "validFor": {
                    "startDateTime": "2020-09-29T03:50:48.000Z"
                },
                "customProfileSpecCharValue": [
                    {
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2020-09-29T03:50:48.000Z"
                        },
                        "valueType": "STRING",
                        "value": "Mobile"
                    },
                    {
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2020-09-29T03:50:48.000Z"
                        },
                        "valueType": "STRING",
                        "value": "Tablet"
                    }
                ]
            },
            {
                "name": "Family",
                "valueType": "STRING",
                "configurable": true,
                "minCardinality": 0,
                "maxCardinality": 1,
                "validFor": {
                    "startDateTime": "2020-09-29T03:50:48.000Z"
                },
                "customProfileSpecCharValue": [
                    {
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2020-09-29T03:50:48.000Z"
                        },
                        "valueType": "STRING",
                        "value": "123a"
                    },
                    {
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2020-09-29T03:50:48.000Z"
                        },
                        "valueType": "STRING",
                        "value": "Note"
                    },
                    {
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2020-09-29T03:50:48.000Z"
                        },
                        "valueType": "STRING",
                        "value": "Galaxy"
                    }
                ]
            },
            {
                "name": "Make",
                "valueType": "STRING",
                "configurable": true,
                "minCardinality": 0,
                "maxCardinality": 1,
                "validFor": {
                    "startDateTime": "2020-09-29T03:50:48.000Z"
                },
                "customProfileSpecCharValue": [
                    {
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2020-09-29T03:50:48.000Z"
                        },
                        "valueType": "STRING",
                        "value": "Apple"
                    },
                    {
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2020-09-29T03:50:48.000Z"
                        },
                        "valueType": "STRING",
                        "value": "Samsung"
                    }
                ]
            }
        ],
        "profileType": "TRADE_IN"
    },
    {
        "id": "CustomProfileSpec_002",
        "name": "CustomProfileSpec_002",
        "description": "Custom profile Spec desc",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/customProfileSpecifications/CustomProfileSpec_002",
        "version": "1.0",
        "lifecycleStatus": "In design",
        "@type": "CustomProfileSpecificationOracle",
        "validFor": {
            "startDateTime": "2020-09-29T03:50:48.000Z"
        },
        "project": {
            "id": "BulkDocProject",
            "name": "Bulk Doc Project",
            "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/project/BulkDocProject"
        },
        "customProfileSpecChar": [
            {
                "name": "DeviceType",
                "valueType": "STRING",
                "configurable": true,
                "minCardinality": 0,
                "maxCardinality": 1,
                "validFor": {
                    "startDateTime": "2020-09-29T03:50:48.000Z"
                },
                "customProfileSpecCharValue": [
                    {
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2020-09-29T03:50:48.000Z"
                        },
                        "valueType": "STRING",
                        "value": "Mobile"
                    },
                    {
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2020-09-29T03:50:48.000Z"
                        },
                        "valueType": "STRING",
                        "value": "Tablet"
                    }
                ]
            },
            {
                "name": "Family",
                "valueType": "STRING",
                "configurable": true,
                "minCardinality": 0,
                "maxCardinality": 1,
                "validFor": {
                    "startDateTime": "2020-09-29T03:50:48.000Z"
                },
                "customProfileSpecCharValue": [
                    {
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2020-09-29T03:50:48.000Z"
                        },
                        "valueType": "STRING",
                        "value": "123a"
                    },
                    {
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2020-09-29T03:50:48.000Z"
                        },
                        "valueType": "STRING",
                        "value": "Note"
                    },
                    {
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2020-09-29T03:50:48.000Z"
                        },
                        "valueType": "STRING",
                        "value": "Galaxy"
                    }
                ]
            },
            {
                "name": "Make",
                "valueType": "STRING",
                "configurable": true,
                "minCardinality": 0,
                "maxCardinality": 1,
                "validFor": {
                    "startDateTime": "2020-09-29T03:50:48.000Z"
                },
                "customProfileSpecCharValue": [
                    {
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2020-09-29T03:50:48.000Z"
                        },
                        "valueType": "STRING",
                        "value": "Apple"
                    },
                    {
                        "isDefault": false,
                        "validFor": {
                            "startDateTime": "2020-09-29T03:50:48.000Z"
                        },
                        "valueType": "STRING",
                        "value": "Samsung"
                    }
                ]
            }
        ],
        "profileType": "TRADE_IN"
    }
]
Back to Top